> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 用量周期

> 生成 Enterprise 账户的所有计费周期列表

需要 Enterprise 管理员的个人 API key。

返回自您的 Enterprise 账户创建以来至今的所有计费周期列表。


## OpenAPI

````yaml zh/v2-openapi.yaml GET /v2/enterprise/consumption/cycles
openapi: 3.1.0
info:
  description: 供企业管理员使用的 Devin v2 API（个人 API key）
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/consumption/cycles:
    get:
      tags:
        - consumption
      summary: 用量周期 API 端点
      description: 生成该 Enterprise 账号截至今日的所有计费周期列表。
      operationId: consumption_cycles_endpoint_v2_enterprise_consumption_cycles_get
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/BillingCycle'
                title: >-
                  Response Consumption Cycles Endpoint V2 Enterprise Consumption
                  Cycles Get
                type: array
          description: 成功响应
components:
  schemas:
    BillingCycle:
      properties:
        end:
          format: date-time
          title: End
          type: string
        start:
          format: date-time
          title: Start
          type: string
      required:
        - start
        - end
      title: BillingCycle
      type: object
  securitySchemes:
    bearerAuth:
      description: 仅供 Enterprise 管理员使用的个人 API Key（apk_user_*）
      scheme: bearer
      type: http

````